> For the complete documentation index, see [llms.txt](https://docs.barte.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.barte.com/api-reference/split-de-transacoes/split-pos-transacao/consultar-split.md).

# Consultar Split

## Consultar Split de Pagamento

> Verifica o status de um split específico

```json
{"openapi":"3.0.0","info":{"title":"Barte Payment Service API - Split de Pagamento","version":"2.0.0"},"servers":[{"url":"https://api.barte.com","description":"Servidor de Produção"},{"url":"https://sandbox-api.barte.com","description":"Servidor de Sandbox"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-token-api","description":"Token de autenticação para acesso à API"}},"schemas":{"SplitStatusResponse":{"type":"object","properties":{"uuidCharge":{"type":"string","format":"uuid","description":"UUID da charge que foi splitada"},"sellers":{"type":"array","description":"Lista de sellers que receberam valores do split","items":{"type":"object","properties":{"idSeller":{"type":"integer","description":"ID do seller que recebeu parte do valor"},"amountReceived":{"type":"number","format":"double","description":"Valor recebido pelo seller"}}}}}},"Error":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetail"}},"metadata":{"$ref":"#/components/schemas/Metadata"}}},"ErrorDetail":{"type":"object","properties":{"status":{"type":"string"},"code":{"type":"string","enum":["BAR-3011","BAR-3004","BAR-3014","BAR-3013","BAD_REQUEST","FORBIDDEN","METHOD_NOT_ALLOWED","NOT_ACCEPTABLE","UNSUPPORTED_MEDIA_TYPE"]},"title":{"type":"string","enum":["BUSINESS_SPLIT","BUSINESS_CHARGE","BUSINESS_VALIDATION","INVALID_REQUEST_PARAM"]},"description":{"type":"string"},"action":{"type":"string"},"additionalInfo":{"type":"object","additionalProperties":{"type":"object"}}}},"Metadata":{"type":"object","properties":{"totalRecords":{"type":"integer"},"totalPages":{"type":"integer"},"requestDatetime":{"type":"string","format":"date-time"}}}}},"paths":{"/v2/seller/{idSeller}/charges/{chargeUuid}/split":{"get":{"summary":"Consultar Split de Pagamento","description":"Verifica o status de um split específico","tags":["Split de Pagamento"],"parameters":[{"name":"idSeller","in":"path","required":true,"schema":{"type":"integer"},"description":"ID do seller dono da charge"},{"name":"chargeUuid","in":"path","required":true,"schema":{"type":"string","format":"uuid"},"description":"UUID da charge"},{"name":"x-token-api","in":"header","required":true,"schema":{"type":"string"},"description":"Token de autenticação para acesso à API"}],"responses":{"200":{"description":"Status do split retornado com sucesso","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SplitStatusResponse"}}}},"400":{"description":"Erro de validação","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Token inativo ou inexistente","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"Acesso negado","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Split não encontrado","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"429":{"description":"Muitas requisições","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Erro interno do servidor","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.barte.com/api-reference/split-de-transacoes/split-pos-transacao/consultar-split.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
